# services/nextcloud/kustomization.yaml
apiVersion: kustomize.config.k8s.io/v1beta1
kind: Kustomization
namespace: nextcloud
resources:
  - namespace.yaml
  - serviceaccount.yaml
  - configmap.yaml
  - pvc.yaml
  - deployment.yaml
  - collabora.yaml
  - cronjob.yaml
  - maintenance-cronjob.yaml
  - service.yaml
  - ingress.yaml
configMapGenerator:
  - name: nextcloud-maintenance-script
    files:
      - maintenance.sh=scripts/nextcloud-maintenance.sh
    options:
      disableNameSuffixHash: true
